> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Case Dropdown Value

> Set or clear a dropdown value for a case.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json put /workspaces/{workspace_id}/cases/{case_id}/dropdowns/{definition_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/cases/{case_id}/dropdowns/{definition_id}:
    put:
      tags:
        - cases
      summary: Set Case Dropdown Value
      description: Set or clear a dropdown value for a case.
      operationId: cases-set_case_dropdown_value
      parameters:
        - name: case_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Case Id
        - name: definition_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Definition Id
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CaseDropdownValueSet'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CaseDropdownValueRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    CaseDropdownValueSet:
      properties:
        option_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Option Id
          description: The option ID to set. Pass null to clear the value.
      type: object
      title: CaseDropdownValueSet
      description: Request body for setting or clearing a dropdown value on a case.
    CaseDropdownValueRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        definition_id:
          type: string
          format: uuid
          title: Definition Id
        definition_ref:
          type: string
          title: Definition Ref
        definition_name:
          type: string
          title: Definition Name
        option_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Option Id
        option_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Option Label
        option_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Option Ref
        option_icon_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Option Icon Name
        option_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Option Color
      type: object
      required:
        - id
        - definition_id
        - definition_ref
        - definition_name
      title: CaseDropdownValueRead
      description: Per-case dropdown value with full definition/option info.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````